> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Collections



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/collections
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/collections:
    get:
      tags:
        - Collections
      summary: List Collections
      operationId: CollectionsController_findAll_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: cursor
          required: false
          in: query
          schema:
            minLength: 1
            maxLength: 512
            type: string
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            default: 20
            type: integer
        - name: search
          required: false
          in: query
          schema:
            type: string
        - name: status
          required: false
          in: query
          schema:
            type: string
            enum:
              - draft
              - ready_to_use
        - name: brand
          required: false
          in: query
          schema:
            type: string
        - name: region
          required: false
          in: query
          schema:
            type: string
        - name: tier
          required: false
          in: query
          schema:
            type: string
        - name: segmentKey
          required: false
          in: query
          schema:
            type: string
            enum:
              - architectural
              - finishes
              - ffe
              - ose
        - name: areaTypeLabel
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionListResponseDto'
      security:
        - bearer: []
components:
  schemas:
    CollectionListResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/CollectionSummaryDto'
        nextCursor:
          type: string
          nullable: true
        hasMore:
          type: boolean
      required:
        - items
        - nextCursor
        - hasMore
    CollectionSummaryDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        brand:
          type: string
        region:
          type: string
        areaTypeLabel:
          type: string
          nullable: true
        tier:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        currencyCode:
          type: string
        generation:
          type: number
        status:
          type: string
          enum:
            - draft
            - ready_to_use
        locked:
          type: boolean
        segmentKeys:
          type: array
          items:
            type: string
            enum:
              - architectural
              - finishes
              - ffe
              - ose
        entriesCount:
          type: number
        projectsCount:
          type: number
        purchasedCount:
          type: number
        estimatedBudget:
          $ref: '#/components/schemas/CollectionEstimatedBudgetDto'
        coverImageUrl:
          type: string
          nullable: true
        version:
          type: number
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - name
        - brand
        - region
        - areaTypeLabel
        - tier
        - description
        - currencyCode
        - generation
        - status
        - locked
        - segmentKeys
        - entriesCount
        - projectsCount
        - purchasedCount
        - estimatedBudget
        - coverImageUrl
        - version
        - createdAt
        - updatedAt
    CollectionEstimatedBudgetDto:
      type: object
      properties:
        amount:
          type: string
          nullable: true
        currencyCode:
          type: string
        pricedEntriesCount:
          type: number
        entriesCount:
          type: number
        isPartial:
          type: boolean
      required:
        - amount
        - currencyCode
        - pricedEntriesCount
        - entriesCount
        - isPartial
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````